/**
 * @file
 * SimplerAds TinyMCE plugin
 */

(function ($) {
  
  tinymce.create('tinymce.plugins.simplerads', {
  
    init : function(ed, url) {
  
      ed.addCommand('mceSimplerAds', function() {
        ed.windowManager.open({
          file : Drupal.settings.simplerads.url.wysiwyg_tinymce,
          width : 580,
          height : 250,
          inline : true,
          scrollbars : 1,
          popup_css : false
        },
        {
          plugin_url : url
        });
      });
  
      ed.addButton('simplerads', {
        title : 'SimplerAds',
        cmd : 'mceSimplerAds',
        image : url + '/images/simplerads_filter.png'
      });
  
    },
  
    getInfo : function() {
      return {
        longname : 'SimplerAds',
        author : 'SimplerAds Filter',
        version : tinymce.majorVersion + "." + tinymce.minorVersion
      };
    }
  });
  
  tinymce.PluginManager.add('simplerads', tinymce.plugins.simplerads);
  
})(jQuery);